% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plotting.R
\name{plotMatrix}
\alias{plotMatrix}
\alias{ggMatrix}
\title{Plotting a contact matrix}
\usage{
plotMatrix(
  x,
  use.scores = NULL,
  scale = "log10",
  loops = NULL,
  borders = NULL,
  limits = NULL,
  dpi = 500,
  rasterize = TRUE,
  symmetrical = TRUE,
  chrom_lines = TRUE,
  cmap = NULL
)

ggMatrix(mat, ticks = TRUE, cols = afmhotrColors(), limits)
}
\arguments{
\item{x}{x}

\item{use.scores}{use.scores}

\item{scale}{scale}

\item{loops}{loops}

\item{borders}{borders}

\item{limits}{limits}

\item{dpi}{dpi}

\item{rasterize}{rasterize}

\item{symmetrical}{symmetrical}

\item{chrom_lines}{chrom_lines}

\item{cmap}{color map}

\item{mat}{mat}

\item{ticks}{ticks}

\item{cols}{cols}
}
\value{
ggplot

ggplot
}
\description{
Plotting a contact matrix
}
\examples{
library(HiContacts)
contacts_yeast <- contacts_yeast()
plotMatrix(
    contacts_yeast, 
    use.scores = 'balanced', 
    scale = 'log10', 
    limits = c(-4, -1)
)
}
